#
# spec file for package xmlstarlet (Version 0.5.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libxml2 libxml2-devel libxslt libxslt-devel sgml-skel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool libxml2 libxml2-devel libxslt libxslt-devel perl rpm sgml-skel

Name:         xmlstarlet
Summary:      Command line tool to transform, query, validate, and edit XML documents
Version:      0.5.1
Release:      79
License:      X11/MIT
Group:        Productivity/Publishing/XML
Source0:      http://xmlstar.sourceforge.net/downloads/xmlstarlet-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: libxml2-devel libxslt-devel
URL:          http://sourceforge.net/projects/xmlstar/
Prefix:       %{_prefix}
Docdir:       %{_docdir}

%description
XMLStarlet is a command line XML toolkit which can be used to
transform, query, validate, and edit XML documents and files using 
simple set of shell commands in similar way it is done for plain text
files using grep/sed/awk/ tr/diff/patch.



Authors:
--------
    Mikhail Grushinskiy <mgrouch@users.sourceforge.net>

%prep
%setup -q

%build
#%%configure
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%prefix \
  --sysconfdir=%{_sysconfdir} \
  --mandir=%{_mandir} \
  --libdir=%_libdir \
  --with-libxml-libs-prefix=%_libdir \
  --with-libxslt-libs-prefix=%_libdir \
  --with-libiconv-libs-prefix=%_libdir
make

%install
rm -fr %{buildroot}

%makeinstall

%clean
rm -fr %{buildroot}

%post

%postun

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet.pdf
%{prefix}/bin/xml

%changelog -n xmlstarlet
* Mon Sep 01 2003 - ke@suse.de
- Make it build on ppc64 and x86_64: use
--with-libxml-libs-prefix=%%_libdir,
--with-libxslt-libs-prefix=%%_libdir, and
--with-libiconv-libs-prefix=%%_libdir.
* Thu Aug 28 2003 - toms@suse.de
- New package: xmlstarlet 0.5.1
